<?php

require '../header.php';
require '../variables.php';
require '../functions.php';

require_login();

$data = array();
$data['changed'] = false;

if ( isset($_REQUEST['newpath']) ) {
   $newpath = makePathSafe($_REQUEST['newpath']);
   if ( is_dir(BOOKDIR . $newpath) ) {
      $_SESSION['bookdir'] = $newpath;
      $data['changed'] = true;
   }
}

$data['bookdir'] = $_SESSION['bookdir'];
$data['bookdirname'] = basename($_SESSION['bookdir']);

header('Content-Type: application/json');
echo json_encode($data);
exit();

// vim: ts=3 sw=3 et:
